cwlVersion: v1.0
class: CommandLineTool
label: Extract GWAS Phenotypes Associated with the Term Search
doc: Extract Terms from the GWAS Catalog 2019 Library
baseCommand:
  - /app/cli/pwb.sh
  - ExtractEnrichrTermSearch[GWAS_Catalog_2019]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.searchResults:
    label: Enrichr Term Search Results
    doc: Results of an Enrichr Term Search
    type: File
    inputBinding:
      prefix: --inputs.searchResults=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Enrichr Phenotype Set
    doc: Set of Phenotypes
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
