cwlVersion: v1.0
class: CommandLineTool
label: Assemble GMT from Gene Sets
doc: Group multiple independently generated gene sets into a single GMT
baseCommand:
  - /app/cli/pwb.sh
  - GenesetsToGMT
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  data:
    type: File
    inputBinding:
      prefix: --data=
      separate: false
  inputs.genesets:
    label: Gene Set
    doc: Set of Genes
    type: File[]
    inputBinding:
      prefix: --inputs.genesets=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Gene Matrix Transpose
    doc: Terms mapped to genes
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
